org.codehaus.plexus.util

## Class PropertyUtils

- java.lang.Object
- - org.codehaus.plexus.util.PropertyUtils

-     public class PropertyUtils
      extends java.lang.Object

  Version:
    $Id: PropertyUtils.java 8010 2009-01-07 12:59:50Z vsiveton $
  Author:
    Jason van Zyl, Michal Maczka

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Properties` | `loadProperties(java.io.File file)`
    `static java.util.Properties` | `loadProperties(java.io.InputStream is)`
    `static java.util.Properties` | `loadProperties(java.net.URL url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyUtils

          public PropertyUtils()

  - ### Method Detail

    - #### loadProperties

          public static java.util.Properties loadProperties(java.net.URL url)

    - #### loadProperties

          public static java.util.Properties loadProperties(java.io.File file)

    - #### loadProperties

          public static java.util.Properties loadProperties(java.io.InputStream is)